package com.friday.custody.service.basicService;

import com.baomidou.mybatisplus.extension.service.IService;
import com.friday.custody.entity.TablePermissionEntity;
import com.friday.custody.utils.PageUtils;
import com.friday.custody.utils.R;

import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author lyb
 * @email k0051582@gmail.com
 * @date 2022-01-10 17:25:17
 */
public interface TablePermissionService extends IService<TablePermissionEntity> {

    PageUtils queryPage(Map<String, Object> params);

    String getServiceNameById(String type);

    List<TablePermissionEntity> queryAll();

    @Deprecated
    R getDataBySql(String sql);
}

